<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2010 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik an der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki. If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/ 

require_once('Woogle_TestCase.php');

/**
 * For testing some core MediaWiki functions
 * 
 */
class WoogleMediaWikiTest extends Woogle_TestCase{

	
	/* Test methods */
	
    public function testWgRequestSetVal(){
    	global $wgRequest;
    	$val 		= md5(mt_rand());
    	$val_new	= 'buzz';
    	
    	// test initial value
    	$sessionHash = $wgRequest->getText('session', $val);
    	$this->assertEquals($val, $sessionHash);

    	// test updated value
    	$wgRequest->setVal('session', $val_new);
    	$sessionHash = $wgRequest->getText('session', $val);
    	$this->assertEquals($val_new, $sessionHash);
    
    }
}



?>
